Status: Closed

Priority: Normal

Assignee: Loïc BARTOLETTI

Category: GUI

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28648

Description

Snapping options expressed in map units (meters) in basic mode (not advanced) are rounded to integers, which may be a problem if you

need to snap a something under a meter (say 10 cm), that gets rounded to 0.

In advanced mode, there is no rounding and it works fine.

My environment has a French local, but I also tested by launching QGIS with LANG=C and observe the same problem.

Associated revisions

Revision 50c9b239 - 2019-02-20 02:02 AM - Loïc BARTOLETTI

[BUGFIX] fixes #20829 Snapping options in meters rounded to integers

Revision d3eaa9b8 - 2019-02-20 05:50 PM - Loïc BARTOLETTI

[BUGFIX] fixes #20829 Snapping options in meters rounded to integers

(cherry picked from commit 50c9b2394e5b62a2421b0241799577f011a6de32)

History

#1 - 2019-02-13 11:07 AM - Loïc BARTOLETTI

- Operating System deleted (linux)

- Assignee set to Loïc BARTOLETTI

- Status changed from Open to In Progress

#2 - 2019-02-20 02:01 AM - Loïc BARTOLETTI

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|50c9b2394e5b62a2421b0241799577f011a6de32.
